summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorMichael E Brown <mebrown@michaels-house.net>2007-12-12 15:49:49 -0600
committerMichael E Brown <mebrown@michaels-house.net>2007-12-12 15:49:49 -0600
commitf50af0f1c32a4162f48580609806e83c6c86d644 (patch)
tree16500f9d489f9a8a574f09ec496e514870ace59a /docs
parente3569ae6c26d121f8ed72f72c480339005d053a8 (diff)
downloadmock-f50af0f1c32a4162f48580609806e83c6c86d644.tar.gz
mock-f50af0f1c32a4162f48580609806e83c6c86d644.tar.xz
mock-f50af0f1c32a4162f48580609806e83c6c86d644.zip
fix --shell
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/releasetests.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 2a98e1d..1a52664 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -63,7 +63,16 @@ if [ $? -ne 5 ]; then
fi
set -e
-
+#
+# test mock shell (interactive) and return code passing
+#
+set +e
+echo exit 5 | time $MOCKCMD --offline --shell
+if [ $? -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back."
+ exit 1
+fi
+set -e
#
# Test offline build